Page MenuHomeFreeBSD

sysutils/puppet: use REQUIRE: LOGIN in rc scripts
ClosedPublic

Authored by mmoll on Jul 8 2015, 4:06 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jun 17, 8:53 AM
Unknown Object (File)
Mon, Jun 17, 8:53 AM
Unknown Object (File)
Mon, Jun 17, 8:53 AM
Unknown Object (File)
Mon, Jun 17, 8:39 AM
Unknown Object (File)
May 17 2024, 6:41 AM
Unknown Object (File)
May 14 2024, 11:20 AM
Unknown Object (File)
May 14 2024, 9:39 AM
Unknown Object (File)
May 2 2024, 11:58 AM
Subscribers
None

Details

Summary

On a newly installed system I did see messages about libraries that could not be found by ruby21. It turned out that the current rc scripts for puppet have REQUIRE: NETWORK set, which means it can run before ldconfig was executed, leading to a non-started puppet agent at startup.
Proposed commit message:

sysutils/puppet: use REQUIRE: LOGIN in rc scripts

The puppet agent will get started later, especially after ldconfig.

Approved by:	swills (mentor, maintainer), mat (mentor)
Test Plan

No poudriere run, as no part relevant for it was changed.
portlint:

mmoll@marduk:/svn/ports/sysutils/puppet$ portlint -ACNc
WARN: /svn/ports/sysutils/puppet/pkg-plist: [52]: unknown pkg-plist directive "@(puppet,puppet,) www/puppet/config.ru"
WARN: Makefile: [49]: BROKEN messages should begin with a lowercase letter and end without a period.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: /svn/ports/sysutils/puppet/files/patch-demote_ports_provider: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
WARN: /svn/ports/sysutils/puppet/files/patch-ext__rack__config.ru: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
0 fatal errors and 5 warnings found.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

mmoll retitled this revision from to sysutils/puppet: use REQUIRE: LOGIN in rc scrips.
mmoll updated this object.
mmoll edited the test plan for this revision. (Show Details)
mmoll added reviewers: swills, mat.
mmoll retitled this revision from sysutils/puppet: use REQUIRE: LOGIN in rc scrips to sysutils/puppet: use REQUIRE: LOGIN in rc scripts.Jul 8 2015, 10:12 PM
mmoll updated this object.
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Jul 9 2015, 3:47 PM
This revision was automatically updated to reflect the committed changes.